Page MenuHomePhabricator

uncoded languages
Closed, ResolvedPublic3 Story Points

Description

A lot of languages are not in the list we rely on but people will still want to enter them. In oder to allow this we add an additional language code "mis" which can then be used to enter mis-x-Q1234 etc.

GIVEN I am on a Lexeme page
AND I edit the language code of the Lemma as "mis"
AND click save
THEN the input is accepted and the edit saved

Code pointers:

  • LexemeTermLanguageValidator, currently using ContentLanguages instance)
    • (for the language code dropdown on the Special:NewLexeme page): SpecialNewLexeme::getFormFields, and there see: HTMLContentLanguageField (the latter is the "core" Wikibase class with kind of hard-coded use of MediaWikiContentLanguages)

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptMay 15 2018, 1:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Should "mis" also be selectable in the Special:NewLexeme dropdown? That would make it more tricky.

WMDE-leszek added a subscriber: WMDE-leszek.EditedMay 15 2018, 3:05 PM

Answer to the above: not in the scope of task

WMDE-leszek set the point value for this task to 3.May 15 2018, 3:21 PM
WMDE-leszek updated the task description. (Show Details)May 16 2018, 4:17 PM
WMDE-leszek updated the task description. (Show Details)May 16 2018, 4:20 PM
Pablo-WMDE moved this task from To Do to Doing on the Wikidata-Turtles-Sprint #5 board.
3t7v5n8gh removed Pablo-WMDE as the assignee of this task.May 17 2018, 7:49 PM
3t7v5n8gh moved this task from Doing to Peer Review on the Wikidata-Turtles-Sprint #5 board.
3t7v5n8gh added a subscriber: Pablo-WMDE.
Aklapper moved this task from Peer Review to Doing on the Wikidata-Turtles-Sprint #5 board.

Change 434050 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Use existing, tested infrastructure for LexemeTermLanguages

https://gerrit.wikimedia.org/r/434050

Change 433562 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Lexeme term languages: codes beyond MW default

https://gerrit.wikimedia.org/r/433562

WMDE-leszek removed Pablo-WMDE as the assignee of this task.May 19 2018, 7:29 PM

Change 434449 had a related patch set uploaded (by Addshore; owner: Pablo Grass (WMDE)):
[mediawiki/extensions/WikibaseLexeme@wmf/1.32.0-wmf.4] Lexeme term languages: codes beyond MW default

https://gerrit.wikimedia.org/r/434449

Change 434050 merged by Pablo Grass (WMDE):
[mediawiki/extensions/WikibaseLexeme@master] LexemeTermLanguages: Use existing infrastructure

https://gerrit.wikimedia.org/r/434050

Change 434449 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@wmf/1.32.0-wmf.4] Lexeme term languages: codes beyond MW default

https://gerrit.wikimedia.org/r/434449

Lydia_Pintscher closed this task as Resolved.May 23 2018, 9:37 AM
Lydia_Pintscher claimed this task.
Vvjjkkii renamed this task from uncoded languages to hxcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Lydia_Pintscher as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from hxcaaaaaaa to uncoded languages.Jul 2 2018, 4:09 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Lydia_Pintscher.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot set the point value for this task to 3.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.